import {
  listRecords,
  getRecordByPk,
  createRecord,
  updateRecordByPk,
  deleteRecordByPk
} from "./genericCrudController.js";

const TABLE_NAME = "account_status";
const PK = ["status_id"];

export const listAccountStatus = listRecords(TABLE_NAME);
export const getAccountStatusByPk = getRecordByPk(TABLE_NAME, PK);
export const createAccountStatus = createRecord(TABLE_NAME);
export const updateAccountStatusByPk = updateRecordByPk(TABLE_NAME, PK);
export const deleteAccountStatusByPk = deleteRecordByPk(TABLE_NAME, PK);

